{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Vendschat Docs","description":"Product documentation for Vendschat — WhatsApp, Messenger, and Instagram in one inbox.","colors":{"primary":"#059669","light":"#34D399","dark":"#047857"},"logo":{"light":"https://mintcdn.com/vendocker-llc/8CzbwqbLov2i2QJ1/logo/light.svg?fit=max\u0026auto=format\u0026n=8CzbwqbLov2i2QJ1\u0026q=85\u0026s=987144e2b419c5f90895747f052ed930","dark":"https://mintcdn.com/vendocker-llc/8CzbwqbLov2i2QJ1/logo/dark.svg?fit=max\u0026auto=format\u0026n=8CzbwqbLov2i2QJ1\u0026q=85\u0026s=934f99d1b1418d0f83a3041a32c4996f","href":"/"},"favicon":"https://mintcdn.com/vendocker-llc/8CzbwqbLov2i2QJ1/favicon.png?fit=max\u0026auto=format\u0026n=8CzbwqbLov2i2QJ1\u0026q=85\u0026s=ff1d72119f5e9e841698039df8cd8d6c","api":{"playground":{"display":"interactive"},"mdx":{"auth":{"method":"bearer"},"server":"https://api.vendschat.com/v1"}},"navbar":{"links":[{"href":"https://app.vendschat.com/signin","label":"Login"}],"primary":{"type":"button","label":"Get started","href":"https://vendschat.com"}},"footer":{"socials":{"linkedin":"https://www.linkedin.com/company/vendschat","youtube":"https://www.youtube.com/@vendschat"}},"seo":{"metatags":{"canonical":"https://docs.vendschat.com","og:image":"/images/og.png"}},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","mcp","cursor"],"display":"header"},"styling":{"latex":true},"navigation":{"global":{"anchors":[{"anchor":"App","icon":"grid-2","href":"https://app.vendschat.com"},{"anchor":"Blog","icon":"newspaper","href":"https://vendschat.com/blog"},{"anchor":"Pricing","icon":"tag","href":"https://vendschat.com/pricing"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"vendocker-llc","hasAudioNarration":false,"actualSubdomain":"vendocker-llc","customDomains":["docs.vendschat.com"],"gitSource":{"type":"github","owner":"dev-taki","repo":"vendschat-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"entitlements":{"AI_CHAT":{"status":"DISABLED"},"WEB_MCP":{"status":"DISABLED"},"NARRATION":{"status":"DISABLED"}},"buildId":"6ae8cc0fb4876c3432e5bd98","clientVersion":"0.0.4111","searchFilterCounts":[{"language":"default","tag":"Guides","count":58},{"language":"default","tag":"API Reference","count":21},{"language":"default","tag":"Integrations","count":8},{"language":"default","tag":"Co-Admin","count":7},{"language":"default","tag":"Contacts","count":7},{"language":"default","tag":"AI Agents","count":6},{"language":"default","tag":"Getting started","count":6},{"language":"default","tag":"Use cases","count":6},{"language":"default","tag":"Templates \u0026 broadcasts","count":5},{"language":"default","tag":"Channels","count":5}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/messages/send-a-message","slug":"/api-reference/messages/send-a-message","pageMetadata":{"title":"Send a message","description":"Preferred send endpoint for custom HTTP and n8n. Respects the 24-hour session window;\nuse WhatsApp templates outside the window.\n","deprecated":null,"version":null,"openapi":"/openapi/integrations.json post /integrations/messages/send","href":"/api-reference/messages/send-a-message","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Preferred send endpoint for custom HTTP and n8n. Respects the 24-hour session window;\\nuse WhatsApp templates outside the window.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Send a message","description":"Preferred send endpoint for custom HTTP and n8n. Respects the 24-hour session window;\nuse WhatsApp templates outside the window.\n","deprecated":null,"version":null,"openapi":"/openapi/integrations.json post /integrations/messages/send","href":"/api-reference/messages/send-a-message","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Messages"],"operationId":"sendIntegrationMessage","summary":"Send a message","description":"Preferred send endpoint for custom HTTP and n8n. Respects the 24-hour session window;\nuse WhatsApp templates outside the window.\n","requestBody":"29e3786a-3168-43c7-8ee9-5dacccc2ad7f","responses":{"200":"19609a32-99f5-4016-82a0-2156a65ac527","400":"5f6ca8c1-cc9c-4c6d-906e-9ed05281a283","401":"2d32a3fe-bdd9-44dd-8a0d-0f59ae36f324","404":"0b3aff0d-21f6-48bb-8904-a46b42243e26"},"method":"post","type":"path","servers":["0bcd393a-44a8-4b19-b5fa-fd6888497a50"],"security":["b83932cd-5afe-4f11-99b3-d7687de94d2d","b726c238-4397-4c34-9385-8fa21465780a"],"path":"/integrations/messages/send","baseUrlOptions":["https://api.vendschat.com/v1"],"title":"Send a message","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["identifier_type","identifier_value","channel_mode"],"properties":{"identifier_type":{"type":"string","enum":["contact_id","email","phone_number"],"isRequired":true,"uniqueKey":"identifier_type","typeLabel":"enum\u003cstring>"},"identifier_value":{"type":"string","isRequired":true,"uniqueKey":"identifier_value","typeLabel":"string"},"channel_mode":{"type":"string","enum":["last_interacted","specific"],"isRequired":true,"uniqueKey":"channel_mode","typeLabel":"enum\u003cstring>"},"channel_id":{"type":"integer","description":"Required when channel_mode is specific","uniqueKey":"channel_id","typeLabel":"integer"},"content_mode":{"type":"string","enum":["text","attachment"],"description":"Used with last_interacted","uniqueKey":"content_mode","typeLabel":"enum\u003cstring>"},"message_type":{"type":"string","description":"Used with specific channel (text, template, image, …)","uniqueKey":"message_type","typeLabel":"string"},"text":{"type":"string","uniqueKey":"text","typeLabel":"string"},"attachment_type":{"type":"string","enum":["image","video","audio","document"],"uniqueKey":"attachment_type","typeLabel":"enum\u003cstring>"},"media_url":{"type":"string","format":"uri","uniqueKey":"media_url","typeLabel":"string\u003curi>"},"caption":{"type":"string","uniqueKey":"caption","typeLabel":"string"},"filename":{"type":"string","uniqueKey":"filename","typeLabel":"string"},"template_id":{"type":"integer","uniqueKey":"template_id","typeLabel":"integer"},"template_variables":{"type":"object","additionalProperties":{"type":"string","uniqueKey":"template_variables.additionalProperties","typeLabel":"string"},"description":"Keys from template form (`body_1`, `header_1`, …)","uniqueKey":"template_variables","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"whatsappText":{"title":"whatsappText","value":{"identifier_type":"phone_number","identifier_value":"+15551234567","channel_mode":"specific","channel_id":15,"message_type":"text","text":"Your BloomBox order is packed and ready."}},"lastInteracted":{"title":"lastInteracted","value":{"identifier_type":"contact_id","identifier_value":"1001","channel_mode":"last_interacted","content_mode":"text","text":"Thanks for writing in — we are on it."}},"whatsappTemplate":{"title":"whatsappTemplate","value":{"identifier_type":"phone_number","identifier_value":"+15551234567","channel_mode":"specific","channel_id":15,"message_type":"template","template_id":88,"template_variables":{"body_1":"Alex","body_2":"BB-2048"}}}},"exampleType":"examples"}},"exampleType":"examples"},"responses":{"19609a32-99f5-4016-82a0-2156a65ac527":{"description":"Message accepted","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","uniqueKey":"success","typeLabel":"boolean"},"thread_id":{"type":"integer","uniqueKey":"thread_id","typeLabel":"integer"},"contact_id":{"type":"integer","uniqueKey":"contact_id","typeLabel":"integer"},"channel_id":{"type":"integer","uniqueKey":"channel_id","typeLabel":"integer"},"channel_type":{"type":"string","uniqueKey":"channel_type","typeLabel":"string"},"message_id":{"type":"integer","uniqueKey":"message_id","typeLabel":"integer"},"external_message_id":{"type":"string","uniqueKey":"external_message_id","typeLabel":"string"},"status":{"type":"string","uniqueKey":"status","typeLabel":"string"},"created_contact":{"type":"boolean","uniqueKey":"created_contact","typeLabel":"boolean"},"created_thread":{"type":"boolean","uniqueKey":"created_thread","typeLabel":"boolean"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"success":true,"thread_id":123,"contact_id":123,"channel_id":123,"channel_type":"\u003cstring>","message_id":123,"external_message_id":"\u003cstring>","status":"\u003cstring>","created_contact":true,"created_thread":true}}},"exampleType":"generated"}},"exampleType":"generated"},"5f6ca8c1-cc9c-4c6d-906e-9ed05281a283":{"description":"Invalid request","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","example":false,"uniqueKey":"success","typeLabel":"boolean"},"error":{"type":"object","properties":{"code":{"type":"string","uniqueKey":"error.code","typeLabel":"string"},"message":{"type":"string","uniqueKey":"error.message","typeLabel":"string"}},"uniqueKey":"error","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"success":false,"error":{"code":"\u003cstring>","message":"\u003cstring>"}}}},"exampleType":"generated"}},"exampleType":"generated"},"2d32a3fe-bdd9-44dd-8a0d-0f59ae36f324":{"description":"Missing or invalid API key","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","example":false,"uniqueKey":"success","typeLabel":"boolean"},"error":{"type":"object","properties":{"code":{"type":"string","uniqueKey":"error.code","typeLabel":"string"},"message":{"type":"string","uniqueKey":"error.message","typeLabel":"string"}},"uniqueKey":"error","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"success":false,"error":{"code":"\u003cstring>","message":"\u003cstring>"}}}},"exampleType":"generated"}},"exampleType":"generated"},"0b3aff0d-21f6-48bb-8904-a46b42243e26":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","example":false,"uniqueKey":"success","typeLabel":"boolean"},"error":{"type":"object","properties":{"code":{"type":"string","uniqueKey":"error.code","typeLabel":"string"},"message":{"type":"string","uniqueKey":"error.message","typeLabel":"string"}},"uniqueKey":"error","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"success":false,"error":{"code":"\u003cstring>","message":"\u003cstring>"}}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"b83932cd-5afe-4f11-99b3-d7687de94d2d":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"API key","description":"`Authorization: Bearer YOUR_API_KEY`","scopes":[],"schemeName":"bearerAuth"}},"b726c238-4397-4c34-9385-8fa21465780a":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key","description":"Alternative to Bearer auth","scopes":[],"schemeName":"apiKeyAuth"}}},"servers":{"0bcd393a-44a8-4b19-b5fa-fd6888497a50":{"url":"https://api.vendschat.com/v1","description":"Production"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","bearerFormat":"API key","description":"`Authorization: Bearer YOUR_API_KEY`","scopes":[],"schemeName":"bearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"`Authorization: Bearer YOUR_API_KEY`","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"},{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"X-API-Key","description":"Alternative to Bearer auth","scopes":[],"schemeName":"apiKeyAuth"},"schema":{"title":"X-API-Key","type":"string","description":"Alternative to Bearer auth","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"apiKeyAuth","name":"X-API-Key"}],"title":"apiKeyAuth"}]},"originalFileLocation":"openapi/integrations.json"},"subdomain":"vendocker-llc","siteName":"Vendschat Docs","title":"Send a message - Vendschat Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-11-02T17:41:03.806Z","originalFileLocation":"api-reference/messages/send-a-message.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Preferred send endpoint for custom HTTP and n8n. Respects the 24-hour session window; use WhatsApp templates outside the window.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Vendschat Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/vendocker-llc/5q3RgGQc1-VkZdLF/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/vendocker-llc/5q3RgGQc1-VkZdLF/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/vendocker-llc/5q3RgGQc1-VkZdLF/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/vendocker-llc/5q3RgGQc1-VkZdLF/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/vendocker-llc/5q3RgGQc1-VkZdLF/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/vendocker-llc/5q3RgGQc1-VkZdLF/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/vendocker-llc/5q3RgGQc1-VkZdLF/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/vendocker-llc/5q3RgGQc1-VkZdLF/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/vendocker-llc/5q3RgGQc1-VkZdLF/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Send a message - Vendschat Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Preferred send endpoint for custom HTTP and n8n. Respects the 24-hour session window; use WhatsApp templates outside the window.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Vendschat Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.vendschat.com/api-reference/messages/send-a-message\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://vendocker-llc.mintlify.site/images/og.png\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Send a message - Vendschat Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Preferred send endpoint for custom HTTP and n8n. Respects the 24-hour session window; use WhatsApp templates outside the window.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://vendocker-llc.mintlify.site/images/og.png\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/vendocker-llc/5q3RgGQc1-VkZdLF/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Vendschat Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#059669\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.vendschat.com/api-reference/messages/send-a-message\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/messages/send-a-message.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.vendschat.com/#organization\",\"name\":\"Vendschat Docs\",\"url\":\"https://docs.vendschat.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/vendocker-llc/8CzbwqbLov2i2QJ1/logo/light.svg?fit=max\u0026auto=format\u0026n=8CzbwqbLov2i2QJ1\u0026q=85\u0026s=987144e2b419c5f90895747f052ed930\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.vendschat.com#website\",\"name\":\"Vendschat Docs\",\"url\":\"https://docs.vendschat.com\",\"publisher\":{\"@id\":\"https://docs.vendschat.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.vendschat.com/api-reference/messages/send-a-message#webpage\",\"url\":\"https://docs.vendschat.com/api-reference/messages/send-a-message\",\"name\":\"Send a message\",\"description\":\"Preferred send endpoint for custom HTTP and n8n. Respects the 24-hour session window; use WhatsApp templates outside the window.\",\"dateModified\":\"2026-11-02T17:41:03.806Z\",\"isPartOf\":{\"@id\":\"https://docs.vendschat.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.vendschat.com/api-reference/messages/send-a-message#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.vendschat.com/api-reference/messages/send-a-message#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Messages\",\"item\":\"https://docs.vendschat.com/api-reference/messages/list-active-channels\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Send a message\",\"item\":\"https://docs.vendschat.com/api-reference/messages/send-a-message\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.vendschat.com/api-reference/messages/send-a-message#apireference\",\"headline\":\"Send a message\",\"name\":\"Send a message\",\"description\":\"Preferred send endpoint for custom HTTP and n8n. Respects the 24-hour session window; use WhatsApp templates outside the window.\",\"url\":\"https://docs.vendschat.com/api-reference/messages/send-a-message\",\"mainEntityOfPage\":{\"@id\":\"https://docs.vendschat.com/api-reference/messages/send-a-message#webpage\"},\"image\":\"https://docs.vendschat.com/images/og.png\",\"dateModified\":\"2026-11-02T17:41:03.806Z\",\"publisher\":{\"@id\":\"https://docs.vendschat.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.vendschat.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Vendschat Docs\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Vendschat Docs\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/messages/send-a-message.md","siteName":"Vendschat Docs","nav":{"global":{"anchors":[{"anchor":"App","icon":"grid-2","href":"https://app.vendschat.com"},{"anchor":"Blog","icon":"newspaper","href":"https://vendschat.com/blog"},{"anchor":"Pricing","icon":"tag","href":"https://vendschat.com/pricing"}]},"tabs":[{"tab":"Guides","icon":"book-open","pages":[{"title":"Guides","href":""}]},{"tab":"API Reference","icon":"code","pages":[{"title":"Integration API overview","href":"/api-reference/overview"},{"title":"Authentication","href":"/api-reference/authentication"},{"group":"Auth","pages":[{"title":"Get workspace for API key","deprecated":null,"version":null,"openapi":"/openapi/integrations.json get /integrations/me","href":"/api-reference/auth/get-workspace-for-api-key"}]},{"group":"Messages","pages":[{"title":"List active channels","deprecated":null,"version":null,"openapi":"/openapi/integrations.json get /integrations/messages/channels","href":"/api-reference/messages/list-active-channels"},{"title":"List approved templates","deprecated":null,"version":null,"openapi":"/openapi/integrations.json get /integrations/messages/templates","href":"/api-reference/messages/list-approved-templates"},{"title":"Preview template variable fields","description":"Returns form field keys such as `body_1` for `template_variables` on send.","deprecated":null,"version":null,"openapi":"/openapi/integrations.json get /integrations/messages/templates/{id}","href":"/api-reference/messages/preview-template-variable-fields"},{"title":"Send a message","deprecated":null,"version":null,"openapi":"/openapi/integrations.json post /integrations/messages/send","href":"/api-reference/messages/send-a-message"}]},{"group":"Platform helpers","pages":[{"title":"Build send-message form schema","description":"Platform helper for Zapier/Make dynamic UIs. Prefer `POST /integrations/messages/send` for custom code.","deprecated":null,"version":null,"openapi":"/openapi/integrations.json post /integrations/messages/send-form","href":"/api-reference/platform-helpers/build-send-message-form-schema"},{"title":"Send from form field state","deprecated":null,"version":null,"openapi":"/openapi/integrations.json post /integrations/messages/send-from-form","href":"/api-reference/platform-helpers/send-from-form-field-state"}]},{"group":"Contacts","pages":[{"title":"Lookup a contact","deprecated":null,"version":null,"openapi":"/openapi/integrations.json post /integrations/contacts/lookup","href":"/api-reference/contacts/lookup-a-contact"},{"title":"Create a contact","deprecated":null,"version":null,"openapi":"/openapi/integrations.json post /integrations/contacts","href":"/api-reference/contacts/create-a-contact"},{"title":"Update a contact","deprecated":null,"version":null,"openapi":"/openapi/integrations.json patch /integrations/contacts","href":"/api-reference/contacts/update-a-contact"},{"title":"Delete a contact","deprecated":null,"version":null,"openapi":"/openapi/integrations.json delete /integrations/contacts","href":"/api-reference/contacts/delete-a-contact"},{"title":"Set contact note","deprecated":null,"version":null,"openapi":"/openapi/integrations.json put /integrations/contacts/note","href":"/api-reference/contacts/set-contact-note"},{"title":"Add labels to a contact","deprecated":null,"version":null,"openapi":"/openapi/integrations.json post /integrations/contacts/labels/add","href":"/api-reference/contacts/add-labels-to-a-contact"},{"title":"Remove labels from a contact","deprecated":null,"version":null,"openapi":"/openapi/integrations.json post /integrations/contacts/labels/remove","href":"/api-reference/contacts/remove-labels-from-a-contact"}]},{"group":"Labels","pages":[{"title":"List workspace labels","deprecated":null,"version":null,"openapi":"/openapi/integrations.json get /integrations/labels","href":"/api-reference/labels/list-workspace-labels"}]},{"group":"Webhooks","pages":[{"title":"List webhook event catalog","deprecated":null,"version":null,"openapi":"/openapi/integrations.json get /integrations/webhooks/events","href":"/api-reference/webhooks/list-webhook-event-catalog"},{"title":"Subscribe a webhook URL","deprecated":null,"version":null,"openapi":"/openapi/integrations.json post /integrations/webhooks/subscribe","href":"/api-reference/webhooks/subscribe-a-webhook-url"},{"title":"Update a webhook subscription","deprecated":null,"version":null,"openapi":"/openapi/integrations.json patch /integrations/webhooks/{id}","href":"/api-reference/webhooks/update-a-webhook-subscription"},{"title":"Delete a webhook subscription","deprecated":null,"version":null,"openapi":"/openapi/integrations.json delete /integrations/webhooks/{id}","href":"/api-reference/webhooks/delete-a-webhook-subscription"}]}]},{"tab":"Skill","icon":"puzzle-piece","pages":[{"title":"Skill","href":"/skill/overview"}]},{"tab":"MCP","icon":"server","pages":[{"title":"MCP","href":"/mcp/overview"}]}]},"basePath":"","title":"Send a message - Vendschat Docs","buildId":"dpl_DqYu5MPb49gWBBbUGgpHQUmCHY3P","deploymentId":"dpl_DqYu5MPb49gWBBbUGgpHQUmCHY3P","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-CybtLBIt.js","utils-BMLj2fvV.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-B6In562Y.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Dr8Mfhp9.js","snippetPresets-2rmQvMVl.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-WMqJYdZj.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-CJ-MlPHu.js","shallow-dY3TMRCk.js","getApiPlaygroundDisplay-v-1B2bKm.js","CodeSnippet-BDhiTB7U.js","CodeSnippets-D9hnzQcS.js","Page-C4GwDT3_.js","getPastedJson-Th2V45jI.js","icon-BQXch1W9.js","MethodPill-BCqUneP3.js","DuplicateIcon-Q_-bhurZ.js","createIcon-DUjLHRqp.js","DynamicMarkdown-B-f2cqXQ.js","SectionHeading-Da5NsV4v.js","axios-vUo_bRtp.js","Markdown-D13FWkIM.js","clsx-D3Isdib3.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-C-XZBk9h.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink--qIqmmVG.js"]}